import request from "@/utils/request.js";


/**
 * @description 获取我的视频作品(已改)
 * @params pageNum, pageSize
 * @returns data
 */
// export function userPhotoVideoList(pageNum, pageSize, title) {
//   return request({
//     url: `/api/userPhotoVideo/list?pageNum=${pageNum}&pageSize=${pageSize}&title=${title}`,
//     method: 'get'
//   })
// }
export function userPhotoVideoListApi(pageNum, pageSize, title) {
  let videoStatuss = [1, 2, 3, 4, 5, 6]
  return request({
    url: `/api/userVideo/list?pageNum=${pageNum}&pageSize=${pageSize}&title=${title}&videoType=-1`,
    method: 'get'
  })
}

/**
 * @description 删除视频作品(旧)
 * @params videoID
 * @returns data
 */
export function delUserPhotoVideoByIDApi(videoID) {
  return request({
    url: `/api/userVideo/del?id=${videoID}`,
    method: 'get'
  })
}

/**
 * @description 提升画质(旧)
 * @params id
 * @returns data
 */
export function videoHyApi(id) {
  return request({
    url: `/api/userPhotoVideo/videoHy?id=${id}`,
    method: 'get'
  })
}


/**
 * @description 查询是否有视频更新(旧)
 * @params id
 * @returns data
 */
export function checkVideoStatusApi(list) {
  return request({
    url: `/api/userPhotoVideo/checkVideoStatus?list=${list}`,
    method: 'get'
  })
}
